Topics index
 Top Next
Introduction
Introduction
What Edition to choose?
System requirements
Installation
Network auto-install
novaPDF Printer SDK
Features summary
Feature Matrix

Options
Page settings
Predefined Forms
Compression (Std or Pro)
Fonts (Std or Pro)
Document Information
Security (Pro)
Links (Pro)
Save settings
Profiles (Std or Pro)

How to
How to use Profiles
How to manage Predefined Forms

License and Contact Information
End User License Agreement
Purchasing and Registration
Network Licensing
Contact Us


Introduction
 Previous Top Next
novaPDF Printer is a virtual printer driver for Windows 2000/XP/Server 2003. Instead of printing on paper, it creates Adobe compatible PDF files.

What is PDF?
PDF (the Adobe Portable Document Format) is a universal file format that preserves the fonts, images, graphics, and layout of any source document, regardless of the application, hardware and operating system used to create it. PDF files are compact and complete, and can be shared, viewed, and printed by anyone with free Adobe Reader® software. PDF documents are also independent of the output device on which they are to be displayed or printed.

PDF has become the de facto standard for the electronic exchange of documents. Major corporations, government agencies, and educational institutions streamline their operations by replacing paper-based workflow with electronic exchange of information.

Why use novaPDF Printer?
novaPDF Printer can convert any printable file into a PDF file. Its purpose is to enable users to easily exchange electronic documents, independently of the environment in which they were initially created. It also helps companies to publish reports, marketing plans, price lists, contracts, and any other documents in a portable electronic document format.

How to use novaPDF Printer?
All you have to do is to click Print from the application displaying the document and choose the novaPDF Printer to create PDF files. You can generate high-quality and searchable PDF files from any Windows application.

You can choose a default folder and file name for generated PDF files, or you can set them at each print job. You can also choose different options for the output PDF file, including custom paper size, resolution, portrait and landscape orientation, scale, image compression, font embedding, PDF security and document metadata.

To create a PDF file you only need a windows application that can print (like notepad or wordpad).
To view PDF files, you need the FREE Adobe Acrobat Reader® (you can download it from www.adobe.com ) or any other PDF viewer application.

novaPDF Printer is compatible with Windows 2000/XP/2003 Server and requires approximately 2MB of free disk space.


What Edition to choose?
There are three licensing options for novaPDF Printer: Lite, Standard and Professional. All of them implement the basic functionalities of a PDF Printer: print from any Windows application, predefined page sizes, custom page sizes, page orientation, page margins, printing resolution, document scaling, PDF document information, automatically save and open PDF file, etc.

The Standard Edition has additional features, like: extended paper settings for zoom and margins, text and image compression, font embedding and sub-setting, user profiles.

The Professional Edition adds PDF security and PDF Links to the features of Standard Edition.

If you only want to create simple PDF files, with no advanced options, you should choose the Lite edition. When printing to novaPDF Printer Lite, you can only choose the printing options (page size, resolution, etc.), fill the PDF document information (title, subject, etc.) or enter the name of the resulting PDF file.

If you want to have the possibility to choose from different levels of compression, to choose to embed font or font subsets then go for Standard Edition. If you want to apply PDF security for the resulting PDF files, or if you want to detect PDF Links, then you will need the Professional Edition.

Related Topics
Features summary
Feature Matrix


System requirements
To install novaPDF Printer you need Windows 2000/XP/Server 2003 and approximately 2 megabytes of free disk space.


Installation
Install

To install novaPDF on a computer you need to have administrative rights. The installation process does not take much time. All you need to do is to follow the instructions of the "Setup - novaPDF Printer" wizard. There is no need to reboot at the end of the setup; you can run the program right after it is installed on your machine.

If you have already installed an older version of novaPDF, you can install the new version on top of the older one, no need to uninstall it; your old settings will be preserved. After the installation process finishes, you might be asked to reboot your computer.

Uninstall

Go to the novaPDF application group (from the Windows "Start" menu and click "Uninstall novaPDF Printer").
You can also uninstall the application using the "Add/Remove programs" icon from the "Control Panel".


Network auto-install
Network auto-install
novaPDF Printer can be installed on one computer and can be used by any computer in the network, without having to install it on each computer.

Network installation steps
To install novaPDF Printer on network, follow next steps:

1. Choose a computer in the network that will be the printer server.

2. Install novaPDF Printer on the printer server. There are no special settings for network installation, in fact any installation of novaPDF Printer can work as a printer server.

3. Share the novaPDF Printer on the network

4. From any workstation in the network, connect to the shared novaPDF Printer. You can connect to a network printer in several modes. Here are two of them:

- from Windows Start menu, Settings, open Printers and Faxes. Select Add Printer and choose the network shared novaPDF Printer on the printer server.

- in Windows Explorer, go to the printer server computer, open Printers and Faxes, select novaPDF Printer and from the Popup menu choose Connect...

5. After a connection was made to the novaPDF Printer on the printer server, you can see the novaPDF Printer in your list of printers. You can go in any application and start a print job to the novaPDF Printer.

Network Licensing
When registering novaPDF Printer you can choose the number of licenses for a printer server. The licenses can be managed on the printer server. For more details on how to manage network licensing go to Network Licensing topic.


novaPDF Printer SDK
You can integrate novaPDF Printer in your applications and easy generate PDF files.

Installation
novaPDF Printer SDK comes in a separate installation program and can be downloaded from the product site. See Contact Us topic for more details.

novaPDF SDK package
novaPDF Printer SDK includes:

- a COM interface for customizing novaPDF Printer options. Any option that can be configured in the novaPDF Printer Printing Preferences dialog, can be also configured with the COM interface, including profiles management.

- a silent installer for the novaPDF Printer that can be distributed with your software. You can include this silent installer in your installation program and novaPDF printer will be installed with your customized options, without any user interaction.

- novaPDF Printer SDK documentation

- several samples of how to use novaPDF Printer SDK

How to generate PDF file with novaPDF Printer SDK
You have to follow next steps for generating PDF files from your software:

- silent install novaPDF Printer on the client machine by using the silent installer provided in the novaPDF Printer SDK

- customize novaPDF Printer settings using the provided COM interface (for instance set the output file name and folder, document info,...). If you do not wish to install and use the COM interface, you can write the settings directly in registry. All registry settings are documented in the novaPDF Printer SDK manual.

- start a print job from your application and write to the printer device context as you wish. All your drawing will be converted to PDF.

- you can also register some windows messages to receive the printing status (page finished, document finished, errors...)

Network use
novaPDF Printer can be installed on the network as a printer server and novaPDF Printer SDK can be used in softwares that are installed on a single computer in network and used from any other computer in the network.

All you need to do in your software is to check if the novaPDF Printer is installed locally and if not to add a connection to the novaPDF Printer on the printer server.

Licensing
novaPDF Printer SDK is fully functional with no time limitation. A notice is printed on each PDF page mentioning the novaPDF Printer.

The notice will be removed when you buy and register novaPDF Printer SDK license. novaPDF Printer SDK has a royalty-free license.

The notice will be also removed if you print from computers where the novaPDF Printer is registered. If you have the novaPDF Printer registered on every computer that uses your sowtware, there is no need to buy the license for novaPDF Printer SDK


Features summary
Create PDF files
You can create fully compatible Adobe PDF files from any Windows application that supports printing.

Easy installation
There is a single installation file that automatically installs novaPDF Printer. Also there is an uninstaller utility that automatically uninstalls novaPDF Printer. You only need Windows 2000/XP/Server 2003 and approximately 2 megabytes of free disk space.

Easy to use
You don't need to learn a complex program. All you have to do is to click Print from your application and choose the novaPDF Printer to create PDF files.

Network auto-install
novaPDF Printer can be installed on one computer and can be used by any computer in the network, without having to install it on each computer. Just share the printer on the printer server and connect to it from any other computer.

Convert any document
novaPDF Printer converts any type of printable windows document including DOC, XLS, PPT, HTML and TXT.

Searchable PDF files
You can search and extract text from the generated PDF files.

Paper
novaPDF Printer supports several predefined paper sizes and also custom user defined paper sizes that can be saved and reused. You can also set printing resolution from 72 to 2400 dpi. To better fit the result on paper, there are options to set paper margins and to scale the output.

Fonts (Standard)
TrueType and OpenType fonts are supported. The fonts can be embedded in the PDF file to ensure perfect portability. You can choose to embed only font subsets and reduce PDF file size.
novaPDF supports any character set, including Eastern-European, Chinese, Japanese and Korean fonts and characters .

Compression (Standard)
Documents can be compressed using the zip compression method. Images can also be compressed using JPEG compression. For all compression methods, you can choose a compression level.

Document properties
You can set the document properties such as title, subject, author and keywords for each printed document.

File encryption and password protection (Standard)
PDF documents can be secured using either 40-bit or 128-bit encryption algorithms. You can control access to PDF files to prevent opening without a password, printing, copying text and graphics or editing PDF files.
PDF Links
novaPDF Printer can parse the printed document text and recognize links to files and URLs. It can mark them in the generated PDF file as links, so they can be opened by clicking them in the PDF viewer.

Output folder
You can set a default folder to save the files and a default file name. You can also use some macros to define the resulting file name including: original document name, date and time, computer and user name and a file counter. Or you can choose the output folder and file name at each print job.

View PDF files
You can choose to automatically view the PDF files immediately after they were generated in any PDF viewer installed on your computer.

Profiles (Standard)
Each user has different settings. Beside this, each user can define different profiles, each with its own settings for page size, resolution, fonts, compression, document info and save settings. Later, you can use one of the defined profiles when printing a document. A default profile is automatically created when you first install the software.

novaPDF Printer SDK
You can integrate novaPDF Printer in your applications and easy generate PDF files. You should download and install novaPDF Printer SDK that includes a COM for customizing novaPDF Printer options and a silent installer for the driver that can be distributed with your software.


Feature Matrix

Detailed Feature Matrix for novaPDF Printer Lite, Standard and Professional Editions

Feature | Lite Edition | Standard Edition | Professional Edition
Print from any Windows Application | YES | YES | YES
Multi-user environment | YES | YES | YES
Network auto-install | YES | YES | YES
Predefined Page Sizes (more than 35) | YES | YES | YES
Custom Page Sizes | YES | YES | YES
Page Orientation | YES | YES | YES
Printing resolution (72 to 2400 dpi) | YES | YES | YES
Document Scaling (1%-400% scale factor) | YES | YES | YES
Page Left, Right, Top and Bottom Margins | - | YES | YES
Page zoom (1%-400% zoom factor) | - | YES | YES
Text and graphics Compression (3 levels) | - | YES | YES
ZIP/JPEG high Color Images Compression (5 levels) | - | YES | YES
Indexed and Monochrome Images Compression (3 levels) | - | YES | YES
Font Embedding | - | YES | YES
Font Subsets Embedding | - | YES | YES
Set PDF Title, Subject, Author | YES | YES | YES
Set PDF Keywords | YES | YES | YES
PDF Output Page Numbering / Layout | YES | YES | YES
40-bit Encryption level | - | - | YES
128-bit Encryption level | - | - | YES
PDF Password Protection | - | - | YES
Document Restrictions (Print/Modify/Extract/Annotate) | - | - | YES
PDF Links | - | - | YES
PDF Automatic Output (with custom AutoSave options) | YES | YES | YES
Output PDF to Folder | YES | YES | YES
Automatically Open PDF after Creation | YES | YES | YES
Run Application after Save | YES | YES | YES
User Profiles | - | YES | YES
Images Embedding | YES | YES | YES
Formulas, Tables Embedding | YES | YES | YES


Page settings
This is the first page of the Printing Preferences dialog. It contains settings for the output page size and resolution.

The Printing Preferences dialog can be opened by choosing the Printing Preferences menu item for the novaPDF Printer in Control Panel, Printers and Faxes window. Also, it usually can be opened form the printing Windows application, in the Print dialog, Properties or Preferences button.

Predefined Page Size
You can print on a Predefined form by choosing the Predefined radio button and selecting a predefined form from the combo box. The width and height of the selected form are shown below the combo box.

You can also define some predefined forms and add them in the combo box for later use by pressing the Manage button and filling the information in the opened dialog box. For more information go to Predefined Forms and How to manage Predefined Forms topics.

Customize Page Size
If you want to print to a custom page size, you can select the Customize radio button and type the desired page width and height. Be careful, the numbers you enter are expressed in the selected measurement units. You can change the measurement units from the Units combo box.

You should use this option if you want to print only one document with this custom page size. If you want to print several documents with this page size, you should define a predefined page size so you can reuse it later. Predefined forms (page sizes) can be defined in a dialog opened by the Manage button. For more information go to Predefined Forms and How to manage Predefined Forms topics.

Units
The measurement is applied to custom forms and margins. Available units are: millimeters, inches or points.

Orientation
You can choose page orientation to Portrait or Landscape.

Resolution
You can select the resolution for printing from 72 dpi to 2400 dpi. A smaller resolution will imply a smaller PDF file, but a lower image quality. A higher resolution will imply a better quality for the resulting PDF file, but will also imply a bigger PDF file. Default value is 300 dpi.

Scale
The output page can be scaled from 1% to 400%. This is the scale factor that you can also set from the printing application.

Margins and zoom
If you need advanced settings of how the document should be positioned on the pdf page, click on the Margins and zoom button. It will open the Margins and zoom dialog where you can set:
- Left, right, top and bottom margins
- Zoom percent
- Page left and top origin
You can also easily center the document horizontally or vertically or align it to the right or bottom margins.

Important notice
Some applications allows you to set page size, page orientation, scale and resolution from their own printing dialogs. If you open the novaPDF Printing Preferences dialog from the printing application, you will see the settings are automatically updated here too. But you can change them in this last window (novaPDF Printing Preferences dialog), and the changes will be taken in account when printing.

If you do not want this behavior, and you prefer to make page size selection only in this window (novaPDF Printing Preferences dialog), and you also want the settings you make to be remembered and used on the next printing jobs, you should set the "Profile Settings Override Paper Settings From Printing Applications" check box on the Profiles page of novaPDF Printing Preferences dialog. For more details go to Profiles topic.

All changes you make on this page are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Predefined Forms
How to manage Predefined Forms
Profiles
How to use Profiles


Predefined Forms
This dialog is used to add, update or remove predefined forms.

The dialog can be opened by pressing the Manage button placed on the Page window, from the Printing Preferences dialog.

Predefined Forms Listview
The listview contains information for all predefined forms:
- Name (form name, if the checkbox is set then the form should be visible as predefined form)
- Description (usually contains the name and the width and height information)

There are two types of forms (page sizes): standard and custom.

System forms are some standard page sizes that are added when the novaPDF Printer is installed and they are usually available in all applications. They cannot be modified or removed.

Custom forms are the forms added later by the user. Unlike system forms, their properties can be modified by the user at any time or they can be removed.

Only the forms that are checked as Visible will appear in the Predefined page sizes, on the Page window.

Beside Name and Description, each predefined form has Width and Height properties. The numbers are expressed in the measurement units selected in the Units combo box on Page window.

Units
Measurement units for forms height and width.

Add
The Add button adds a new form at the end of the list. The controls below are enabled and the user should enter form name, description, width and height.

Copy
The Copy button adds a new form in the listview with the properties copied form the current selected form in listview. The user can change the properties of the new form.

Remove
The Remove button removes a form from the listview. Only custom forms can be removed.

For more information on how to manage custom forms go to How to manage Predefined Forms topic.

Related Topics
Page settings
How to manage Predefined Forms


Margins and zoom (Std or Pro)

Margins and zoom (Standard or Professional Edition only)
 Previous Top Next
This dialog is used to make advanced settings of how the document will be positioned on the PDF page.

The dialog can be opened by pressing the Margins and zoom button placed on the Page window, from the Printing Preferences dialog.

Margins
You can choose a margin region that will remain empty when printing. The margin region can be defined on all sides (left, right, top and bottom). The numbers you enter are expressed in the selected measurement units. You can change the measurement units from the Units combo box.

Fit whole page to margins
If the "Fit whole page to margins" radio button is selected, the output page will be automatically zoomed so it will fit in the printing region. You can see the automatically calculated zoom percent on the right part of the dialog. Also the left and top origin are automatically calculated according to the left and top margins.

Customize zoom and origin
The above behavior (when Fit whole page to margins is set) is probably sufficient in most of the cases. But if you want to have a more accurate control of the result, you can select the Customize zoom and origin radio button and manually enter zoom and page origin.

You can also check two of the four check boxes:
- Center horizontally
- Center vertically
- Align to right
- Align to bottom

When you select one of the above options, page origin is automatically calculated in such a way that the page is aligned to the selected position.

Limitations
The Margin value is limited in such a way that one third of page width or height should always be printed. Also, when you manually change the zoom and page origin, there are some validations made so the printing is not made outside the paper.


Compression (Std or Pro)

Compression (Standard or Professional Edition only)
 Previous Top Next
This page is part of novaPDF Printing Preferences dialog. It contains settings for the text and image compression level. This page is available only in Standard or Professional Edition.

The Printing Preferences dialog can be opened by choosing the Printing Preferences menu item for the novaPDF Printer in Control Panel, Printers and Faxes window. Also, it usually can be opened form the printing Windows application, in the Print dialog, Properties or Preferences button.

Text and graphics
You can choose to compress text and graphics by checking the Enable compression check box.
Text and graphics will be compressed using ZIP compression. Available compression levels are: Fastest, Normal and Maximum.
By default, Normal level of compression is used.

High Color Images
You can choose to compress high color images by checking the Enable compression checkbox.
High color images will be compressed using JPEG or ZIP compression. You can choose ZIP compression level from Fastest, Normal and Maximum, and JPEG compression level from Minimum, Low, Medium, High and Maximum.
By default, the indexed and monochrome images will be compressed with the High level of JPEG compression.

Indexed and Monochrome Images
You can choose to compress indexed and monochrome images by checking the Enable compression checkbox.
Indexed and monochrome images will be compressed using ZIP compression. You can choose ZIP compression level from Fastest, Normal and Maximum.
By default, the indexed and monochrome images will be compressed with the Normal level of ZIP compression.

All changes you make on this page, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Profiles
How to use Profiles


Fonts (Std or Pro)

Fonts (Standard or Professional Edition only)
 Previous Top Next
This page is part of novaPDF Printing Preferences dialog. It contains settings for fonts embedding. This page is available only in Standard or Professional Edition.

The Printing Preferences dialog can be opened by choosing the Printing Preferences menu item for the novaPDF Printer in Control Panel, Printers and Faxes window. Also, it usually can be opened form the printing Windows application, in the Print dialog, Properties or Preferences button.

Font embedding
You can choose to embed all fonts that are used in a PDF file by checking the Embed All Used Fonts check box. This will generate bigger PDF files, so this setting is not recommended, unless you have to open the generated PDF files on a computer that does not have all used fonts installed.

You can also make a more detailed selection, what fonts to always embed in a PDF file and what fonts to never embed in a PDF file.

In the left part of the window you have a list with all TrueType and OpenType fonts installed on your computer. With the left and right arrow buttons you can move the fonts in the Always Embed Fonts and Never Embed Fonts lists. Take care: the settings are taken in account only if you check the Always Embed Fonts and Never Embed Fonts checkboxes.

By default, the Arial, Courier and Times New Roman fonts are in the Never Embed Fonts list because they are standard fonts in the PDF format and they do not need to be embedded with the PDF file.

Font subsets
You can choose to embed only subsets of font files by checking the Embed Font Subsets check box. This will generate smaller PDF files, so this setting is enabled by default.

When using characters that are not in the standard latin character set (eastern european character set, japanese, chinese, korean or other character sets) the font subset is included in the PDF file, no matter if the font subsets checkbox is set or not, because otherwise these characters will not be included in the generated PDF files.

All changes you make on this page, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Profiles
How to use Profiles


Document Information
This page is part of novaPDF Printing Preferences dialog. It contains settings for PDF document information and how the PDF document should be opened in the Adobe Acrobat Reader.

The Printing Preferences dialog can be opened by choosing the Printing Preferences menu item for the novaPDF Printer in Control Panel, Printers and Faxes window. Also, it usually can be opened form the printing Windows application, in the Print dialog, Properties or Preferences button.

Document Information
The Document Information is specific for each printed document and should be set on each printing job. If you wish, you can use some <Default> tags that will fill automatically the fields with information from the printing job.

Here are the Document Information that can be set for a PDF document:

Title - document title. If you use the <Default> tag, the title will be the name of the document that is printed, as it is sent by the printing application.

Subject - subject for the printed document. Default empty.

Author - author of the printed document. If you use the <Default> tag, the author will be the windows user that started the print job.

Keywords - keywords for the printed document. Default empty.

Producer - the application that generated the PDF file. This field is read only and cannot be changed. It will describe novaPDF Printer version and build number.

Acrobat viewer options
These options will be used by the Adobe Acrobat Reader when opening the PDF file:

Start page - the page that will be first shown when opening the PDF file. By default, the first page will be shown.

Page layout - you can choose form next page layouts: Single Page, Continuous, Facing and Continuous - Facing. By default the PDF file will be opened with the Continuous page layout.

Page mode - you can choose to show some Acrobat viewer panels when open the PDF file: Show Bookmarks Panel, Show Pages panel, Show Layers Panel, Show Attachments Panel. You can also choose to show the pdf file in the Full Screen mode. By default the PDF file will be opened without any panel, Show Page only mode.

All changes you make on this page, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Profiles
How to use Profiles


Security (Pro)

Security (Professional Edition only)
 Previous Top Next
This page is part of novaPDF Printing Preferences dialog. It contains settings for PDF security. This page is available only in Professional Edition.

The Printing Preferences dialog can be opened by choosing the Printing Preferences menu item for the novaPDF Printer in Control Panel, Printers and Faxes window. Also, it usually can be opened form the printing Windows application, in the Print dialog, Properties or Preferences button.

Encryption Level
Available encryption levels are:

- No encryption - the PDF file will not be encrypted. PDF document access permissions and user passwords cannot be set in this case (anyone can open the PDF document).

- Low Level (40 bits) - for Acrobat Reader 3.0 and above. The PDF document will be encrypted with a low level encryption algorithm. You can setup passwords for opening the document and other access permissions for printing, editing or extracting text and graphics.

- High Level (128 bits) - for Acrobat Reader 5.0 and above. Beside passwords and access permissions that can be setup for low level encryption, you can add some more advance permissions for the PDF document.

Access Permissions
You can enable or disable permissions to:

Low level (40 bits):
- Print the Document
- Modify Document Content
- Extract Text and Graphics
- Modify Annotations, Fill Forms

High Level (128 bits):
- Print the document (possibly not at the highest quality level, if "Print High Resolution" is not allowed)
- Modify Document Content
- Extract Text and Graphics
- Modify Annotations, Fill Forms (if Modify Document Content is allowed, create or modify interactive form fields)
- Advance Fill Forms (fill in existing interactive form fields, even if "Modify Annotations, Fill Forms" is not allowed)
- Advance Extract Text and Graphics (force allow extract text and graphics in support of accessibility to disabled users or for other purposes)
- Assemble the Document (insert, rotate, or delete pages and create bookmarks or thumbnail images)
- Print High Resolution (print the document to a representation from which a faithful digital copy of the PDF content could be generated. When this is not allowed, but "print the Document" is allowed, printing is limited to a low level representation of the appearance, possibly of degraded quality)

User password
You can setup a user password for opening the PDF document. If you enter a user password, the document cannot be opened without entering user or owner passwords.
Enter the same user password in the confirm password edit field.

Owner password
If the PDF Document is encrypted, access permissions can be changed only if the document is opened with the owner password.
Enter the same owner password in the confirm password edit field.

All changes you make on this page, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Profiles
How to use Profiles


Links (Pro)
This page is part of novaPDF Printing Preferences dialog. It contains settings for PDF Links. This page is available only in Professional Edition.

The Printing Preferences dialog can be opened by choosing the Printing Preferences menu item for the novaPDF Printer in Control Panel, Printers and Faxes window. Also, it usually can be opened form the printing Windows application, in the Print dialog, Properties or Preferences button.

Local Files
You can enable or disable next options:

- Detect file names and convert them to PDF links. If this option is enabled, the text in the printed document will be parsed and texts that will match a file name, including its path, will be marked in the PDF as links to file.

- Check file exists for linking. If this option is enabled, there will be a check if the file really exists and the PDF links will be added only if the file is found. Take care that the printing and PDF generation is made on the printing server computer, so if linked files are on another computer in the network, you should mention them in the printed document with their UNC path.

Appearance
You can customize the links appearence in the PDF file.

Border type:
- No border
- Underline
- Rectangle

If you choose a border, you can further select:
- Border line style - solid or dashed
- Border line width - points number, default 1 point
- Border line color - default blue

You have also the option to change the text color to match the border color buy checking the "Set color same as border color" check box.

On the bottom of the page you can see an example of how the PDF links will look like.

All changes you make on this page, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Profiles
How to use Profiles


Save settings
This page is part of novaPDF Printing Preferences dialog. It contains settings for where to save the generated PDF files and for after print actions.

The Printing Preferences dialog can be opened by choosing the Printing Preferences menu item for the novaPDF Printer in Control Panel, Printers and Faxes window. Also, it usually can be opened form the printing Windows application, in the Print dialog, Properties or Preferences button.

Save options
You can choose to manually set the destination folder for the generated PDF files on each print job, by choosing the Prompt "Save As" Dialog radio button.

If you prefer to save all generated PDF files in the same folder, you can choose the Use predefined settings radio button. Then you should choose a folder on your computer or on the network where the files will be saved. You should also type a name for the generated PDF file. In order to use different file names for each generated PDF files, you can use some macros in the File name field (an example of how the macros are converted is shown just below the File name edit field).

You can select any of next macros:

[N] - Document name
[YMD] - Date in the format YYYYMMDD (year, month, day)
[Y] - Year in the format YYYY
[M] - Month in the format MM
[D] - Day in the format DD
[HIS] - time in the format hhmmss (hour, minute, second)
[H] - Hour in the format hh
[I] - Minute in the format mm
[S] - Second in the format ss
[C] - Counter in the format cc (it begins with 01 and increases at each printed document, if a file with the same name exists in the save folder)
[W] - Computer name
[U] - User name

If you choose the Use predefined setting radio button but you did not enter a folder or a file name, you will be prompted with the Save As dialog when printing the novaPDF Printer. If you choose a folder that does not exist, it will be automatically created.

When a file with the same name already exists in the selected folder, you can choose one of the next actions:
- Prompt Query Dialog - a "Save as" dialog will be shown so you can change the name of the file or folder manually
- Auto number new - a counter is added to the file name of the new generate pdf file
- Auto number existing - a counter is added to the file name of the existing pdf file. The new pdf file will have the name set in this dialog
- Append Date/Time - the date and time is appended to the generated pdf file name
- Overwrite - existing file is overwritten with the new generated file

After Save Action
After the PDF file was generated and saved, it can be opened in the default PDF viewer.

To open the PDF file in the default viewer, choose Open with default PDF Viewer radio button.

To open the document in other application, choose the Run application radio button and select the application in the edit field below. You can also add some parameters that will be passed to this application when started.

All changes you make on this page, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Profiles
How to use Profiles


Profiles (Std or Pro)

Profiles (Standard or Professional Edition only)
 Previous Top Next
This page is part of novaPDF Printing Preferences dialog. It contains printing profile settings. This page is available only in Standard or Professional Edition.

The Printing Preferences dialog can be opened by choosing the Printing Preferences menu item for the novaPDF Printer in Control Panel, Printers and Faxes window. Also, it usually can be opened form the printing Windows application, in the Print dialog, Properties or Preferences button.

When the novaPDF Printer is installed, a Default Profile is automatically created. This profile is the only profile in the beginning and its setting will be used for all novaPDF print jobs. You can later define some other profiles and choose one of them as the active profile. All defined profiles are shown in the Profiles list view.

New
Create a new profile. The new profile will have default settings on all Printing Preferences dialogs. A dialog will be shown to enter the name of the new profile.

Copy
Create a new profile by copying the settings from the profile selected in the profiles list. A dialog will be shown to enter the name of the new profile.

Rename
Renames the profile currentlu selected in the Profiles listview. A dialog will be shown to enter the new name of the profile.

Delete
Deletes the profile selected in the profiles list. You cannot delete the current active profile. You have to set another profile as active profile first. There will always be at least one profile.

Set Active
Set the profile selected in the profiles list as current active profile. The active profile settings will be used in the subsequent printing jobs.

Profile Settings Override Paper Settings From Printing Applications
Some settings regarding page size, page orientation and resolution (see Page settings topic) can be selected also from the printing dialogs of the application you are printing from. If you open the novaPDF Printing Preferences property sheet from the printing application, you will see the same settings automatically selected here too. But you can change them, and the changes will be taken in account when printing.

If you do not want this behavior, and you prefer to make page size selection only in novaPDF Printing Preferences property sheet, and you also want the settings you make to be remembered and used on the next printing jobs, you should check the Profile Settings Override Paper Settings From Printing Applications check box.

When activating a different profile
When activating a different profile you may loose some changes you made to the previous active profile, if you made some changes in the Printing Preferences property sheet pages and you did not press the Apply or OK buttons. You have two options:
- let the system ask you if you want to save the changes to the previous active profile or not (select the Ask me what to do radio button)
- let the system automatically save the changes to the previous active profile (select Automatically save changes to the active profile radio button)

For more details how to use profiles go to How to use Profiles topic

Related Topics
How to use Profiles
Page settings


How to use Profiles
Profiles are available in Standard or Professional Edition.

You can create different profiles, each with its own settings for page size, resolution, fonts, compression, document info and save settings. You can later use one of the defined profiles when printing a document.

If several users are using the same computer to generate PDF files with novaPDF Printer, each user can create its own profile. Then he/she only has to set the active profile and start printing to novaPDF Printer.

Or you might define different profiles depending on the application you are printing from. From instance you might define a profile for printing text documents (from WordPad,...) and a different profile for printing drawings (from Autocad,...). You can set up different page sizes, resolution, save folder or any other settings to each of these profiles.

A default profile is automatically created when you first install the software. Afterwards, you can add new profiles, modify existing ones and also delete profiles form the Profiles page in the Printing Preferences dialog.

Related Topics
Profiles


How to manage Predefined Forms
Predefined forms are standard and custom predefined page sizes. Beside the standard predefined forms (like "Letter", "A4", etc.), you can define some other custom predefined forms that you often use when printing to novaPDF Printer.

Predefined forms are managed from the Printing Preferences dialog that can be opened by choosing the Printing Preferences menu item for the novaPDF Printer in Control Panel, Printers and Faxes window. Also, it usually can be opened form the printing Windows application, in the Print dialog, Properties or Preferences button.

Custom predefined forms can be added, modified and removed from the Predefined Forms dialog.

How to add a Custom Predefined Form
To add a custom predefined form you should make next steps:
- go to the Page settings window
- select Predefined page size radio button
- press the Manage button next to the predefined forms combo box
- press the Add button on the Manage Predefined Forms dialog
- fill the form name, description, width and height
- set the form visible
- press the OK button and return in the Page settings page
- choose the new added form in the predefined combobox

How to modify a Custom Predefined Form
To modify a custom predefined form you should make next steps:
- go to the Page settings window
- select Predefined page size radio button
- press the Manage button next to the predefined forms combo box
- select the form in the listview
- change the form name, description, width and height in the controls below
- press the OK button and return in the Page settings page

How to remove a Custom Predefined Form
To remove a custom predefined form you should make next steps:
- go to the Page settings window
- select Predefined page size radio button
- press the Manage button next to the predefined forms combo box
- select the form in the listview
- press the Remove button
- press the OK button and return in the Page settings page

How to select the visibility for the Predefined Forms
To select what predefined forms should be visible in the predefined combobox in the Page settings page, you should make next steps:
- go to the Page settings window
- select Predefined page size radio button
- press the Manage button next to the predefined forms combo box
- select the form in the listview
- change Visible checkbox
- press the OK button and return in the Page settings page

All changes you make on this dialog, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Page settings
Predefined Forms
Profiles
How to use Profiles


End User License Agreement
novaPDF Printer End User License Agreement

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF THE SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

1. License grant
Softland grants you the right to use one copy of this SOFTWARE on one computer. If you install the SOFTWARE on one computer and use it from other computers over the network, you must obtain a license for each computer that uses the SOFTWARE. "You" means the company, entity or individual whose funds are used to pay the license fee. "Use" means storing, loading, installing, executing or displaying the SOFTWARE. You may not modify the SOFTWARE or disable any licensing or control features of the SOFTWARE except as an intended part of the SOFTWARE's programming features. This license is not transferable to any other system, or to another organization or individual.

2. Evaluation (Not registered)
This SOFTWARE is not free. When you first obtain a copy of the SOFTWARE, you are granted an unlimited evaluation period. During evaluation a notice will be placed at the end of each page of the generated PDF (Portable Document Format) file. The notice can be removed by registering the SOFTWARE with a valid license key purchased from Softland or its distributors. The notice is also removed if the PDF is generated from a program or a software product that integrates novaPDF SDK which was application licensed.

You are expected to use the SOFTWARE on your system and to thoroughly evaluate its usefulness and functionality before making a purchase. This "try before you buy" approach is the ultimate guarantee that the SOFTWARE will perform to your satisfaction; therefore, you understand and agree that there is no refund policy for any purchase of the SOFTWARE.

3. Ownership
The SOFTWARE is owned and copyrighted by Softland. Your license confers no title or ownership of the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE.

4. Distribution
You may make and distribute unlimited copies of the SOFTWARE, as long as each copy that you make and distribute contains this agreement, the Softland novaPDF Printer installer, and the same copyright and other proprietary notices pertaining to this SOFTWARE. If you download the SOFTWARE from the Internet or similar on-line source, you must include the Softland copyright notice for the SOFTWARE with any on-line distribution and on any media you distribute that includes the SOFTWARE.

5. Licensed Fonts
Some fonts are subject to a license granted by the owner of the font. This license may provide that the font may NOT be embedded or otherwise distributed without a license from the font owner. Users of the SOFTWARE are responsible for obtaining the necessary license from the owner of the aforementioned fonts if the user wishes to embed them. Failure to obtain the necessary licenses may expose the user to legal claims by the owners of these fonts. Softland and its suppliers assume no responsibility for such claims.

6. Restrictions
You may not rent, lease, sub-license, transfer, or sell the Software. You agree not to modify, adapt, translate, reverse engineer, decompile, disassemble or otherwise attempt to discover the source code of the SOFTWARE. You may not alter or modify the installer program or create a new installer for the SOFTWARE.

7. Copyright
The SOFTWARE is licensed, not sold. The SOFTWARE and all rights are owned by Softland and/or its suppliers and are protected by copyright law and international copyright treaties. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of Softland and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license.

8. Termination
The License is in effect until terminated. You may terminate this License at any time by ceasing any and all use of the Software, and deleting or destroying the Software. This agreement shall terminate automatically upon breach of any term of this agreement. Upon termination you shall destroy all copies of the Software. Sections titled "Ownership", "Restrictions", "Copyright", "No Warranty, No Liability", "Governing Law" and "Entire Agreement" shall survive any termination of this agreement.

9. No Warranty, No Liability
SOFTLAND AND ITS SUPPLIERS DO NOT AND CANNOT WARRANT THE PERFORMANCE OR RESULTS YOU MAY OBTAIN BY USING THE SOFTWARE OR DOCUMENTATION. SOFTLAND AND ITS SUPPLIERS MAKE NO WARRANTIES, EXPRESS OR IMPLIED, AS TO NONINFRINGEMENT OF THIRD PARTY RIGHTS, MERCHANTABILITY, OR FITNESS FOR ANY PARTICULAR PURPOSE. IN NO EVENT WILL SOFTLAND OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, INCIDENTAL OR SPECIAL DAMAGES, INCLUDING ANY LOST PROFITS OR LOST SAVINGS, EVEN IF A SOFTLAND REPRESENTATIVE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, OR FOR ANY CLAIM BY ANY THIRD PARTY. YOU HEREBY ASSUME THE ENTIRE RISK OF ALL USE OF THE COPIES OF SOFTWARE COVERED BY THIS LICENSE.

10. Governing Law
This agreement is governed by the laws of Romania. Any claim, dispute or controversy with respect to, in connection with or arising out of this agreement shall be subject to and decided by arbitration in the City of Cluj-Napoca, County of Cluj, Romania. If any part of this agreement is found void and unenforceable by a court of competent jurisdiction, it will not affect the validity of the balance of the agreement, which shall remain valid and enforceable according to its terms.
11. Entire Agreement
This agreement is the final, complete and exclusive agreement between you and Softland that supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.

Copyright © 2002-2005 Softland. All rights reserved.


Purchasing and Registration

Purchasing

novaPDF Printer is available as Shareware - another way of saying "Try before you buy". It is fully functional with no time limitation. A notice is printed on each PDF page mentioning the novaPDF Printer. The notice will be removed when you buy and register novaPDF Printer license. You can buy a license key online by filling out the purchase form.

To start the order process, go to the About page in the Printing Preferences dialog and click on Buy now! button. These will open the online web page where you can purchase novaPDF Printer.

After completing the purchase, a registration key will be delivered to you by email. This key is required to register the program. It is recommended that you make a backup copy of this email (e.g. print out a hard copy).

Registration

The "Register" window appears when clicking the Register button on the About page.

Please fill in the exact values as you received by email. You can copy-paste the information directly into the registration window. Press the OK button when you are ready.

If the registration information is valid, you will get a confirmation message saying the application has been successfully registered. After the confirmation message, you can see the registration details on the About page.

If you lost your registration key, please send us your purchase information (purchase number and approximate date), specify the name (company name) and email address you used to buy your copy of novaPDF Printer. We will send to you the registration key again.

If you have questions or you experience problems related to the registration process, you can use the Support button to contact us. We will be happy to assist you with the registration.


Network Licensing
Network license
If you want to use novaPDF Printer as a printer server (like described in Network auto-install topic), you will need a network license with the number of users you wish to connect to the printer server.

The license should be registered on the printer server computer.

Manage network licenses
You can manage network licenses only from the printer server computer.
The number of licenses is written on the About page in the Printing Preferences dialog.

You can manage network licenses from the Licenses dialog that is opened from the About page, Licenses button.

When you first register a network license, the licenses dialog is empty. If a print job is started from a computer in the network, the computer name is registered automatically for a license, as long as there are licenses available. So if you bought enough licenses for your network, you don't have to configure anything, all computers will be automatically registered when they initiate their first print job to the novaPDF printer on the printer server.

If you wish, you can manage the licensed workstation manually in the Licenses dialog. You can add, remove or rename workstations in the licenced machines list.


Contact Us
 Previous Top
Support

Get the latest version of novaPDF Printer from www.novapdf.com
Before asking for support please read the help file carefully. Send technical support requests to: support@novapdf.com

Sales

For information about registration and sales or if you are interested in the distribution of novaPDF Printer, customization or any kind of cooperation with Softland, please contact us at sales@novapdf.com

Address

Softland SRL
str. Dorobantilor nr. 89, ap. 44
Cluj-Napoca, 400609
Romania

Tel: 0040 364 401337
Fax: 0040 264 411336
Time zone: GMT + 2


Support

Get the latest version of novaPDF Printer from www.novapdf.com
Before asking for support please read the help file carefully. Send technical support requests to: support@novapdf.com

Sales

For information about registration and sales or if you are interested in the distribution of novaPDF Printer, customization or any kind of cooperation with Softland, please contact us at sales@novapdf.com

Address

Softland SRL
str. Dorobantilor nr. 89, ap. 44
Cluj-Napoca, 400609
Romania

Tel: 0040 364 401337
Fax: 0040 264 411336
Time zone:  GMT + 2